package me.eater.threedom.dom

import me.eater.threedom.dom.query.NodeQuery

interface INodeQueryCapable {
    fun getNodeById(id: String): INode<*>?
    fun getNodesByClassName(className: String): Sequence<INode<*>>
    fun find(query: NodeQuery): Sequence<INode<*>> = emptySequence()
    fun findOne(query: NodeQuery): INode<*>? = find(query).firstOrNull()
}
