package me.eater.threedom.dom.event

import me.eater.threedom.dom.INode

sealed class NodeClassListUpdate {
    abstract val node: INode<*>

    class Removed(val classNames: Set<String>, override val node: INode<*>): NodeClassListUpdate()
    class Added(val classNames: Set<String>, override val node: INode<*>): NodeClassListUpdate()
}
